<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>JSDoc: Class: MultiSelectCombobox</title>

    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css" />
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css" />
  </head>

  <body>
    <div id="main">
      <h1 class="page-title">Class: MultiSelectCombobox</h1>

      <section>
        <header>
          <h2>
            <span class="attribs"><span class="type-signature"></span></span>MultiSelectCombobox
          </h2>

          <div class="class-description">
            Combobox with different configuration options that also supports multi select.
          </div>
        </header>

        <article>
          <div class="container-overview">
            <dl class="details">
              <dt class="tag-source">Source:</dt>
              <dd class="tag-source">
                <ul class="dummy">
                  <li>
                    <a href="multiSelectCombobox_multiSelectCombobox.js.html"
                      >multiSelectCombobox/multiSelectCombobox.js</a
                    >, <a href="multiSelectCombobox_multiSelectCombobox.js.html#line12">line 12</a>
                  </li>
                </ul>
              </dd>
            </dl>

            <h5>Example</h5>

            <pre
              class="prettyprint"
            ><code>&lt;c-multi-select-combobox label="Products" name="products" options={options} ... required>&lt;/c-multi-select-combobox></code></pre>
          </div>

          <h3 class="subsection-title">Extends</h3>

          <ul>
            <li>LightningElement</li>
          </ul>

          <h3 class="subsection-title">Members</h3>

          <h4 class="name" id="disabled">
            <span class="type-signature"></span>disabled<span class="type-signature"> :boolean</span>
          </h4>

          <div class="description">If present, the combobox is disabled and users cannot interact with it.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">boolean</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>false</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="multiSelectCombobox_multiSelectCombobox.js.html"
                    >multiSelectCombobox/multiSelectCombobox.js</a
                  >, <a href="multiSelectCombobox_multiSelectCombobox.js.html#line18">line 18</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="label">
            <span class="type-signature"></span>label<span class="type-signature"> :string</span>
          </h4>

          <div class="description">Text label for the combobox.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">string</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>''</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="multiSelectCombobox_multiSelectCombobox.js.html"
                    >multiSelectCombobox/multiSelectCombobox.js</a
                  >, <a href="multiSelectCombobox_multiSelectCombobox.js.html#line25">line 25</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="name">
            <span class="type-signature"></span>name<span class="type-signature"> :string</span>
          </h4>

          <div class="description">Specifies the name of the combobox.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">string</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="multiSelectCombobox_multiSelectCombobox.js.html"
                    >multiSelectCombobox/multiSelectCombobox.js</a
                  >, <a href="multiSelectCombobox_multiSelectCombobox.js.html#line31">line 31</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="options">
            <span class="type-signature"></span>options<span class="type-signature"> :Array</span>
          </h4>

          <div class="description">
            A list of options that are available for selection. Each option has the following attributes: label and
            value.
          </div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">Array</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="multiSelectCombobox_multiSelectCombobox.js.html"
                    >multiSelectCombobox/multiSelectCombobox.js</a
                  >, <a href="multiSelectCombobox_multiSelectCombobox.js.html#line48">line 48</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h5>Example</h5>

          <pre class="prettyprint"><code>options = [
  {
    "label": "Option 1",
    "value": "option1"
  },
  {
    "label": "Option 2",
    "value": "option2"
  },
]</code></pre>

          <h4 class="name" id="placeholder">
            <span class="type-signature"></span>placeholder<span class="type-signature"> :string</span>
          </h4>

          <div class="description">
            Text that is displayed before an option is selected, to prompt the user to select an option.
          </div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">string</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>'Select an Option'</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="multiSelectCombobox_multiSelectCombobox.js.html"
                    >multiSelectCombobox/multiSelectCombobox.js</a
                  >, <a href="multiSelectCombobox_multiSelectCombobox.js.html#line55">line 55</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="readOnly">
            <span class="type-signature"></span>readOnly<span class="type-signature"> :boolean</span>
          </h4>

          <div class="description">If present, the combobox is read-only. A read-only combobox is also disabled.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">boolean</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>false</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="multiSelectCombobox_multiSelectCombobox.js.html"
                    >multiSelectCombobox/multiSelectCombobox.js</a
                  >, <a href="multiSelectCombobox_multiSelectCombobox.js.html#line62">line 62</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="required">
            <span class="type-signature"></span>required<span class="type-signature"> :boolean</span>
          </h4>

          <div class="description">If present, a value must be selected before a form can be submitted.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">boolean</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>false</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="multiSelectCombobox_multiSelectCombobox.js.html"
                    >multiSelectCombobox/multiSelectCombobox.js</a
                  >, <a href="multiSelectCombobox_multiSelectCombobox.js.html#line69">line 69</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="showPills">
            <span class="type-signature"></span>showPills<span class="type-signature"> :boolean</span>
          </h4>

          <div class="description">
            If present, the combobox will show a pill container with the currently selected options.
          </div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">boolean</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>false</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="multiSelectCombobox_multiSelectCombobox.js.html"
                    >multiSelectCombobox/multiSelectCombobox.js</a
                  >, <a href="multiSelectCombobox_multiSelectCombobox.js.html#line83">line 83</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="singleSelect">
            <span class="type-signature"></span>singleSelect<span class="type-signature"> :boolean</span>
          </h4>

          <div class="description">If present, the combobox only allows the selection of a single value.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">boolean</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>false</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="multiSelectCombobox_multiSelectCombobox.js.html"
                    >multiSelectCombobox/multiSelectCombobox.js</a
                  >, <a href="multiSelectCombobox_multiSelectCombobox.js.html#line76">line 76</a>
                </li>
              </ul>
            </dd>
          </dl>
        </article>
      </section>
    </div>

    <nav>
      <h2><a href="index.html">Home</a></h2>
      <h3>Classes</h3>
      <ul>
        <li><a href="Base64ToPdf.html">Base64ToPdf</a></li>
        <li><a href="CsvToDatatable.html">CsvToDatatable</a></li>
        <li><a href="CustomDatatable.html">CustomDatatable</a></li>
        <li><a href="CustomMapView.html">CustomMapView</a></li>
        <li><a href="CustomSlider.html">CustomSlider</a></li>
        <li><a href="HelloWorld.html">HelloWorld</a></li>
        <li><a href="IFrame.html">IFrame</a></li>
        <li><a href="LocalDevelopmentWrapper.html">LocalDevelopmentWrapper</a></li>
        <li><a href="MultiSelectCombobox.html">MultiSelectCombobox</a></li>
        <li><a href="MultiSelectComboboxItem.html">MultiSelectComboboxItem</a></li>
        <li><a href="OpenRecordPageFlowAction.html">OpenRecordPageFlowAction</a></li>
      </ul>
      <h3>Global</h3>
      <ul>
        <li><a href="global.html#slidesData">slidesData</a></li>
      </ul>
    </nav>

    <br class="clear" />

    <footer>
      Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 4.0.0</a> on Thu Feb 16 2023 11:49:13
      GMT+0100 (Central European Standard Time)
    </footer>

    <script>
      prettyPrint();
    </script>
    <script src="scripts/linenumber.js"></script>
  </body>
</html>
